<?xml version="1.0" encoding="UTF-8"?>
<DataTemplate>
    <Templates>
        <!--水资源规约-->
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzyMatchDatagramProcessor</StreamProcessor>
            <ProcessorName>DataStreamSzyMatchDatagramProcessor</ProcessorName>
            <TemplateName>通用报文匹配处理器</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzyCrcCheckProcessor</StreamProcessor>
            <ProcessorName>DataStreamSzyCrcCheckProcessor</ProcessorName>
            <TemplateName>CRC校验适配器</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzyLinkCheckDatagramProcessor
            </StreamProcessor>
            <ProcessorName>DataStreamSzyLinkHeartDatagramProcessor</ProcessorName>
            <TemplateName>链路检测</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzyFixedTimeDatagramProcessor
            </StreamProcessor>
            <ProcessorName>DataStreamSzyFixedTimeDatagramProcessor</ProcessorName>
            <TemplateName>定时报</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzyWarnDatagramProcessor</StreamProcessor>
            <ProcessorName>DataStreamSzyWarnDatagramProcessor</ProcessorName>
            <TemplateName>随机预警报</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzyReadBaseSettingDatagramProcessor
            </StreamProcessor>
            <ProcessorName>DataStreamSzyReadBaseSettingDatagramProcessor</ProcessorName>
            <TemplateName>查询基本配置信息</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzyReadRtuCodeDatagramProcessor
            </StreamProcessor>
            <ProcessorName>DataStreamSzyReadRtuCodeDatagramProcessor</ProcessorName>
            <TemplateName>查询遥测终端或中继站地址</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzyReadUpModelDatagramProcessor
            </StreamProcessor>
            <ProcessorName>DataStreamSzyReadUpModelDatagramProcessor</ProcessorName>
            <TemplateName>查询遥测终端的数据自报种类及时间间隔</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzyRebootDatagramProcessor</StreamProcessor>
            <ProcessorName>DataStreamSzyRebootDatagramProcessor</ProcessorName>
            <TemplateName>重启</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzySetBaseSettingDatagramProcessor
            </StreamProcessor>
            <ProcessorName>DataStreamSzySetBaseSettingDatagramProcessor</ProcessorName>
            <TemplateName>设置基本配置信息</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzySetClockDatagramProcessor
            </StreamProcessor>
            <ProcessorName>DataStreamSzySetClockDatagramProcessor</ProcessorName>
            <TemplateName>设置时钟</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzySetRtuCodeDatagramProcessor
            </StreamProcessor>
            <ProcessorName>DataStreamSzySetIpDatagramProcessor</ProcessorName>
            <TemplateName>设置IP</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzySetUpModelDatagramProcessor
            </StreamProcessor>
            <ProcessorName>DataStreamSzySetUpModelDatagramProcessor</ProcessorName>
            <TemplateName>设置自报种类及时间间隔</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzyRgzsDatagramProcessor</StreamProcessor>
            <ProcessorName>DataStreamSzyRgzsDatagramProcessor</ProcessorName>
            <TemplateName>人工置数</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzyExtLinkHeartDatagramProcessor
            </StreamProcessor>
            <ProcessorName>DataStreamSzyLinkHeartDatagramProcessor</ProcessorName>
            <TemplateName>扩展链路报</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzyExtStatusDatagramProcessor
            </StreamProcessor>
            <ProcessorName>DataStreamSzyStatusDatagramProcessor</ProcessorName>
            <TemplateName>扩展状态报</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzyExtFileDatagramProcessor
            </StreamProcessor>
            <ProcessorName>DataStreamSzyExtFileDatagramProcessor</ProcessorName>
            <TemplateName>扩展下发文件报</TemplateName>
            <Enable>0</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzyExtConfigFileDatagramProcessor
            </StreamProcessor>
            <ProcessorName>DataStreamSzyExtConfigFileDatagramProcessor</ProcessorName>
            <TemplateName>扩展下发配置文件报</TemplateName>
            <Enable>0</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzyExtReadIpDatagramProcessor
            </StreamProcessor>
            <ProcessorName>DataStreamSzyExtReadIpDatagramProcessor</ProcessorName>
            <TemplateName>扩展读取IP地址和端口</TemplateName>
            <Enable>0</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzyExtRebootDatagramProcessor
            </StreamProcessor>
            <ProcessorName>DataStreamSzyExtRebootDatagramProcessor</ProcessorName>
            <TemplateName>扩展重启RTU</TemplateName>
            <Enable>0</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzyExtSetIpDatagramProcessor
            </StreamProcessor>
            <ProcessorName>DataStreamSzyExtSetIpDatagramProcessor</ProcessorName>
            <TemplateName>扩展设置IP地址和端口</TemplateName>
            <Enable>0</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.szy.DataStreamSzyUnknownProcessor</StreamProcessor>
            <ProcessorName>DataStreamSzyUnknownProcessor</ProcessorName>
            <TemplateName>未定义报文</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>sink</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.sink.DataStreamKafkaSink</StreamProcessor>
            <ProcessorName>DataStreamKafkaSink</ProcessorName>
            <TemplateName>KAFKA消息队列输出</TemplateName>
            <Enable>0</Enable>
        </Item>
        <Item>
            <Type>sink</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.sink.DataStreamSzyKafkaSink</StreamProcessor>
            <ProcessorName>DataStreamSzyKafkaSink</ProcessorName>
            <TemplateName>KAFKA消息队列输出</TemplateName>
            <Enable>0</Enable>
        </Item>
        <Item>
            <Type>sink</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.sink.DataStreamSzyXamKafkaSink</StreamProcessor>
            <ProcessorName>DataStreamSzyXamKafkaSink</ProcessorName>
            <TemplateName>兴安盟KAFKA消息队列输出</TemplateName>
            <Enable>0</Enable>
        </Item>
        <Item>
            <Type>sink</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.sink.DataStreamSzyRestSink</StreamProcessor>
            <ProcessorName>DataStreamSzyRestSink</ProcessorName>
            <TemplateName>水资源REST HTTP 输出</TemplateName>
            <Enable>1</Enable>
        </Item>
    </Templates>
</DataTemplate>